WriteNowTextInternal::ContentZone Struct Reference

Internal: structure used to store the content structure. More...

## Public Member Functions

| ContentZone ()

## Public Attributes

int | m_type
| the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break
long | m_pos [2]
| the begin and the end pos
int | m_value
| a value

## Friends

std::ostream & | operator<< (std::ostream &o, ContentZone const &z)
| operator<<

## Detailed Description

Internal: structure used to store the content structure.

## Constructor & Destructor Documentation

## ContentZone()

WriteNowTextInternal::ContentZone::ContentZone | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ContentZone const & | z )

friend

operator<<

## Member Data Documentation

## m_pos

long WriteNowTextInternal::ContentZone::m_pos[2]

the begin and the end pos

Referenced by ContentZone(), and WriteNowText::parseContent().

## m_type

int WriteNowTextInternal::ContentZone::m_type

the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break

Referenced by ContentZone(), WriteNowText::createZones(), operator<<, and WriteNowText::parseContent().

## m_value

int WriteNowTextInternal::ContentZone::m_value

a value

Referenced by ContentZone(), operator<<, and WriteNowText::parseContent().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx